%define src_ver 0.50-2

%define languageenglazy Russian
%define languagecode ru
%define lc_ctype ru_RU

Summary:       %{languageenglazy} files for aspell
Summary(ru):   Русская проверка орфографии
Name:          aspell-%{languagecode}
Version:       0.50.2
Release:       5mdk
Group:         System/Internationalization
Source:        ftp://ftp.gnu.org/gnu/aspell/aspell-%{languagecode}-%{src_ver}.tar.bz2
URL:           http://aspell.net/
License:	   GPL
BuildRoot:     %{_tmppath}/%{name}-%{version}-root
Provides: spell-ru


BuildRequires: aspell >= 0.50
BuildRequires: make
Requires:      aspell >= 0.50

# Mandrake Stuff
Requires:      locales-%{languagecode}
Provides:      aspell-dictionary
Provides:	   aspell-%{lc_ctype}

Autoreqprov:   no

%description
A %{languageenglazy} dictionary for use with aspell, a spelling checker.

%prep
%setup -q -n %{name}-%{src_ver}

%build

# don't use configure macro
./configure

%make

%install
rm -fr $RPM_BUILD_ROOT

%makeinstall_std

mv -f README README.%{languagecode}
#chmod 644 Copyright README.%{languagecode} doc/*
chmod 644 Copyright README.%{languagecode} 

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
#%doc README.%{languagecode} Copyright doc/*
%doc README.%{languagecode} Copyright 
%dir %{_datadir}/aspell
%{_datadir}/aspell/*
%dir %{_libdir}/aspell
%{_libdir}/aspell/*

%changelog
* Tue Jul 27 2004 Pablo Saratxaga <pablo@mandrakesoft.com> 0.50.2-5mdk
- allow build on ia64

* Tue Aug 05 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 0.50.2-4mdk
- added directories owning

* Fri Mar 7 2003 Warly <warly@mandrakesoft.com> 0.50.2-3mdk
- recompile with correct build environment

* Fri Mar 7 2003 Warly <warly@mandrakesoft.com> 0.50.2-2mdk
- add tag Provides spell-ru

* Mon Feb 24 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 0.50.2-1mdk
- first version for Mandrake

